summaryrefslogtreecommitdiffstats
path: root/.config/zsh/oh-my-zsh/plugins/cask/cask.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to '.config/zsh/oh-my-zsh/plugins/cask/cask.plugin.zsh')
-rw-r--r--.config/zsh/oh-my-zsh/plugins/cask/cask.plugin.zsh26
1 files changed, 26 insertions, 0 deletions
diff --git a/.config/zsh/oh-my-zsh/plugins/cask/cask.plugin.zsh b/.config/zsh/oh-my-zsh/plugins/cask/cask.plugin.zsh
new file mode 100644
index 0000000..29120b3
--- /dev/null
+++ b/.config/zsh/oh-my-zsh/plugins/cask/cask.plugin.zsh
@@ -0,0 +1,26 @@
+() {
+ emulate -L zsh
+
+ if ! (( $+commands[cask] )); then
+ print "zsh cask plugin: cask command not found" >&2
+ return
+ fi
+
+ cask_base=${commands[cask]:h:h}
+
+ # Plain cask installation location (for Cask 0.7.2 and earlier)
+ comp_files=($cask_base/etc/cask_completion.zsh)
+
+ # Mac Homebrew installs the completion in a different location
+ if (( $+commands[brew] )); then
+ comp_files+=($(brew --prefix)/share/zsh/site-functions/cask_completion.zsh)
+ fi
+
+ # Load first found file
+ for f in $comp_files; do
+ if [[ -f "$f" ]]; then
+ source "$f"
+ break
+ fi
+ done
+}